package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFA90 extends MwfRequest<MWFA90, MWFA90Response> {

    @Parameter(name = "CastkaDo")
    MWFA90 castkaDo(Double castkaDo);
    @Parameter(name = "CastkaOd")
    MWFA90 castkaOd(Double castkaOd);
    @Parameter(name = "CisloKaretnihoUctu")
    MWFA90 cisloKaretnihoUctu(Long cisloKaretnihoUctu);
    @Parameter(name = "CisloKarty")
    MWFA90 cisloKarty(String cisloKarty);
    @Parameter(name = "DatumTransakceDo")
    MWFA90 datumTransakceDo(java.util.Date datumTransakceDo);
    @Parameter(name = "DatumTransakceOd")
    MWFA90 datumTransakceOd(java.util.Date datumTransakceOd);
    @Parameter(name = "DruhKarty")
    MWFA90 druhKarty(String druhKarty);
    @Parameter(name = "PotlacitCashBack")
    MWFA90 potlacitCashBack(String potlacitCashBack);
}
